## stumpwm 22.11

=== tests/integration-tests/Makefile ===
run-tests: $(shell ./script internal-get-run-tests-deps)

ci: $(shell ./script internal-get-ci-deps)

generate-tests: test-runner.iid
	./script internal-generate-tests "${COUNT}"

testcases/%.results/success: testcases/%.sh test-runner.iid
	./script internal-run-one-test "$*" expect-success

testcases/%.results/fail: testcases/%.sh test-runner.iid
	./script internal-run-one-test "$*" expect-failure

test-runner.iid: $(shell find ../.. -path ../../tests/integration-tests/testcases -prune -o -print)
	docker build --iidfile test-runner.iid --build-arg userUID="$(shell id -u)" -f Dockerfile ../..

.PHONY: run-tests generate-tests

## stumpwm 0.9.8

=== debian/changelog ===
stumpwm (2:0.9.8-7) unstable; urgency=low

  * Run stumwpm with sbcl instead of clisp by default.

 -- Milan Zamazal <pdm@debian.org>  Tue, 21 Oct 2014 20:25:25 +0200

stumpwm (2:0.9.8-6) unstable; urgency=low

  * Don't depend on CLISP.

 -- Milan Zamazal <pdm@debian.org>  Sat, 27 Sep 2014 21:33:21 +0200

stumpwm (2:0.9.8-5) unstable; urgency=low

  * Depend on cl-asdf; closes: #754177.

 -- Milan Zamazal <pdm@debian.org>  Mon, 21 Jul 2014 22:46:21 +0200

stumpwm (2:0.9.8-4) unstable; urgency=low

  * Don't print errors when LISP is not set and ~/.stumpwmrc doesn't exist;
    closes: #754176.
  * Upstream version number updated; closes: #754180.

 -- Milan Zamazal <pdm@debian.org>  Tue, 08 Jul 2014 20:10:48 +0200

stumpwm (2:0.9.8-3) unstable; urgency=low

  * Desktop file added; closes: #660743.

 -- Milan Zamazal <pdm@debian.org>  Thu, 03 Jul 2014 22:42:32 +0200

stumpwm (2:0.9.8-2) unstable; urgency=low

  * Fix of a bashism in stumpish; closes: #690620.
  * Don't suggest `menu'; closes: #647379.

 -- Milan Zamazal <pdm@debian.org>  Wed, 02 Jul 2014 17:43:07 +0200

stumpwm (2:0.9.8-1) unstable; urgency=low

  * New upstream version.
  * Copyright information updated.
  * Milan Zamazal <pdm@debian.org> added to Uploaders.
  * Standards 3.5.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 29 May 2014 21:02:13 +0200

stumpwm (1:20110819.gitca08e08-2) unstable; urgency=low

  * debian/load.lisp
    + hot-upgrade ASDF if user has a local version of ASDF
    + update copyright info
  * debian/control
    + change Section to 'x11'
    + Provides x-window-manager
  * debian/wm
    + new file
  * debian/copyright
    + update copyright info
  * debian/stumpwm.bin
    + update copyright info

 -- Desmond O. Chang <dochang@gmail.com>  Mon, 07 Nov 2011 16:06:21 +0800

stumpwm (1:20110819.gitca08e08-1) unstable; urgency=low

  * New Git checkout (ca08e0842f4d2d69d8523862d5b9c68d18abc366)
  * debian/rules
    + add missing targets 'build-indep' and 'build-arch'

 -- Desmond O. Chang <dochang@gmail.com>  Thu, 27 Oct 2011 15:38:41 +0800

stumpwm (1:20110420.git14571fc-1) unstable; urgency=low

  * New Git checkout (14571fc4b5deec581e1c9be663dbdc7a69db3dc0)
  * move startup options into load.lisp (Closes: #624636).

 -- Desmond O. Chang <dochang@gmail.com>  Sun, 01 May 2011 02:34:34 +0800

stumpwm (1:20110419.gitb80ff16-1) unstable; urgency=low

  * New Git checkout (b80ff164527b0cfbf677ea847047b04e8f0f008c)
  * replace CLC with ASDF in /usr/bin/stumpwm (Closes: #624472).
  * debian/control
    + upgrade Standards-Version to 3.9.2
    + new description synopsis in order to get rid of lintian's
      "description-synopsis-starts-with-article" warning
    + Build-Depends on clisp instead of sbcl

 -- Desmond O. Chang <dochang@gmail.com>  Fri, 29 Apr 2011 01:54:31 +0800

stumpwm (1:20110313.gitb77c69a-1) unstable; urgency=low

  * New Git checkout (b77c69a61d174a4af315faa90851b212f278a373)
  * fix contrib/cpu.lisp for linux 2.6.37 (Closes: #616631)
  * debian/patches:
    + delete 02_correct-Stumpwm-StumpWM-in-README.diff

 -- Desmond O. Chang <dochang@gmail.com>  Mon, 14 Mar 2011 13:51:25 +0800

stumpwm (1:20110213.git34362e5-1) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + remove myself from Uploaders:.

  [ Desmond O. Chang]
  * New Git checkout (34362e53db13d6e1c3a3511e4beca7f14ac5aa38)
  * depend on clisp-module-clx (Closes: #608017)
  * sbcl should exit after stumpwm exits (Closes: #614571)
  * debian/patches:
    + delete 07_use-clc-require-for-manual-creation.diff

 -- Desmond O. Chang <dochang@gmail.com>  Tue, 22 Feb 2011 19:53:31 +0800

stumpwm (1:20100709.gitf6262b0-1) unstable; urgency=low

  [ Desmond O. Chang ]
  * New Git checkout (f6262b0688412629ee512fae07e47a045dd77397)
  * debian/control:
    + add me into Uploaders
    + change Standards-Version to 3.9.1
    + remove Build-Depends on quilt.
  * debian/copyright:
    + add copyright info about me
  * debian/patches:
    + update patches
  * debian/source/format:
    + change source format to 3.0 (quilt)
  * debian/compat:
    + upgrade from 5 to 7

  [ Luca Capello ]
  * debian/copyright:
    + update copyright assignment to 2010.
  * debian/gbp.conf: new file.
  * debian/README.source:
    - remove, now useless.
  * debian/rules:
    - remove any quilt call.
    - do not install anymore README.source.

 -- Desmond O. Chang <dochang@gmail.com>  Thu, 19 Aug 2010 23:31:57 +0800

stumpwm (1:20090804.git9d6cb388-1) unstable; urgency=low

  * New Git checkout (9d6cb38872ef8f384e2f5fc3088f3bfaabfd2445):
    + this include upstream version 0.9.7-git.
    + check the upstream NEWS file for user visible changes.
    + fix FTBFS with new SBCL (Closes: #536915).

  * debian/control:
    + Standards-Version to 3.8.3, no changes needed.

  * debian/patches/series: updated.
  * debian/patches/02_correct-Stumpwm-StumpWM-in-README.diff:
    + add patch description, thanks to lintian.
  * debian/patches/04_default-to-x-terminal-emulator.diff:
    + add patch description, thanks to lintian.
  * debian/patches/05_default-to-x-www-browser.diff:
    + add patch description, thanks to lintian.
  * debian/patches/06_add-upstream-changelog.diff:
    + add patch description, thanks to lintian.
  * debian/patches/07_use-clc-require-for-manual-creation.diff:
    + adapt to common-lisp-controller_6.19, which does not register
      /usr/share/common-lisp/systems/ in `asdf:*central-registry*'
      anymore by default.

  * debian/README.source:
    + refer to /usr/share/doc/quilt/README.source, thanks to lintian.

  * debian/rules:
    + install debian/README.source as well.

  * debian/stumpwm.bin:
    + adapt to common-lisp-controller_6.19, which does not register
      /usr/share/common-lisp/systems/ in `asdf:*central-registry*'
      anymore by default (Closes: #545344).

 -- Luca Capello <luca@pca.it>  Thu, 10 Sep 2009 21:12:46 +0200

stumpwm (1:20090502.git482df740-1) unstable; urgency=low



=== debian/control ===
Source: stumpwm
Section: x11
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Desmond O. Chang <dochang@gmail.com>, Milan Zamazal <pdm@debian.org>
Build-Depends-Indep: dh-lisp, texinfo, autoconf, sbcl, cl-clx-sbcl, cl-asdf, cl-ppcre
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.5
Homepage: http://www.nongnu.org/stumpwm/
Vcs-Git: git://git.debian.org/pkg-common-lisp/stumpwm.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/stumpwm.git;a=summary

Package: stumpwm
Architecture: all
Depends: ${misc:Depends}, cl-clx-sbcl | cmucl-source, cl-ppcre, cl-asdf
Suggests: slime, x-terminal-emulator, www-browser, info-browser, x11-utils, rlwrap
Provides: x-window-manager
Description: tiling, keyboard driven Common Lisp window manager
 StumpWM is a window manager written entirely in Common Lisp. It
 attempts to be highly customizable while relying entirely on the
 keyboard for input. You will not find buttons, icons, title bars,
 tool bars, or any of the other conventional GUI widgets.
 .
 These design decisions reflect the growing popularity of productive,
 customizable lisp based systems.
 .
 Please ensure that you install compatible implementations of CL and
 CLX.  That means either install sbcl and cl-clx-sbcl or cmucl and
 cmucl-source or clisp-module-clx only.
 .
 The suggested package, slime, lets you control a running StumpWM
 session through Emacs.
 .
 If you need Xinerama support, you need the xdpyinfo utility from the
 x11-utils package.
 .
 The rlwrap package provides command completion for stumpish.

=== debian/rules ===
#!/usr/bin/make -f


pkg		:= stumpwm
debpkg  	:= $(pkg)

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)
bin-dir		:= usr/bin


DEBIAN_VERSION	:= Debian Git checkout $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)

configure:
	./autogen.sh
	./configure --with-lisp=sbcl --with-contrib-dir=/$(clc-files)/contrib

build-indep: configure
	XDG_CACHE_HOME=$(shell pwd)/.cache $(MAKE) stumpwm.info

build-arch:

build: build-indep

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	rm -rf autom4te.cache Makefile make-image.lisp config.log config.status configure
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs $(clc-files) $(clc-files)/contrib $(doc-dir)/examples $(bin-dir) usr/share/xsessions
	dh_install $(pkg).asd $(clc-files)
	dh_install *.lisp $(clc-files)
	dh_install debian/stumpwm.desktop usr/share/xsessions/
	rm debian/$(debpkg)/$(clc-files)/make-image.lisp
	mv debian/$(debpkg)/$(clc-files)/sample-stumpwmrc.lisp debian/$(debpkg)/$(doc-dir)/examples/
	dh_install contrib/*.lisp $(clc-files)/contrib
	cp debian/stumpwm.bin debian/$(debpkg)/$(bin-dir)/stumpwm
	dh_install contrib/stumpish $(bin-dir)
	dh_install contrib/stumpwm-mode.el $(doc-dir)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README.md NEWS
	dh_installinfo stumpwm.info
	dh_installman debian/stumpwm.1 debian/stumpish.1
	dh_installmenu
	dh_installwm /usr/bin/stumpwm
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep


.PHONY: configure build clean install binary-indep binary-arch binary

## stumpwm 0.9.9

=== debian/changelog ===
stumpwm (2:0.9.9-3) unstable; urgency=low

  * Make the build reproducible; thanks to Chris Lamb; closes: #840111.
  * debhelper compatibility level increased to 9.

 -- Milan Zamazal <pdm@debian.org>  Sat, 26 Nov 2016 16:44:18 +0100

stumpwm (2:0.9.9-2) unstable; urgency=low

  * NoDisplay=true removed from stumpwm.desktop; closes: #787119.
  * Don't depend on cl-asdf anymore.
  * stumpish man page and other references to contrib stuff removed.
  * Standards 3.9.8 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Mon, 16 May 2016 21:17:30 +0200

stumpwm (2:0.9.9-1) unstable; urgency=low

  * New upstream.
  * Standards 3.9.6 (no real change).
  * Don't create upstream ChangeLog.
  * debian/copyright updated.

 -- Milan Zamazal <pdm@debian.org>  Wed, 29 Apr 2015 21:57:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Desmond O. Chang <dochang@gmail.com>, Milan Zamazal <pdm@debian.org>
-Build-Depends-Indep: dh-lisp, texinfo, autoconf, sbcl, cl-clx-sbcl, cl-asdf, cl-ppcre
+Build-Depends-Indep: dh-lisp, texinfo, autoconf, sbcl, cl-clx-sbcl, cl-ppcre
 Build-Depends: debhelper (>= 7.0.0)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.nongnu.org/stumpwm/
 Vcs-Git: git://git.debian.org/pkg-common-lisp/stumpwm.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/stumpwm.git;a=summary
 
 Package: stumpwm
 Architecture: all
-Depends: ${misc:Depends}, cl-clx-sbcl | cmucl-source, cl-ppcre, cl-asdf
+Depends: ${misc:Depends}, cl-clx-sbcl | cmucl-source, cl-ppcre
 Suggests: slime, x-terminal-emulator, www-browser, info-browser, x11-utils, rlwrap
 Provides: x-window-manager
 Description: tiling, keyboard driven Common Lisp window manager
@@ -33,5 +33,3 @@
  .
  If you need Xinerama support, you need the xdpyinfo utility from the
  x11-utils package.
- .
- The rlwrap package provides command completion for stumpish.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 configure:
 	./autogen.sh
-	./configure --with-lisp=sbcl --with-contrib-dir=/$(clc-files)/contrib
+	./configure --with-lisp=sbcl
 
 build-indep: configure
 	XDG_CACHE_HOME=$(shell pwd)/.cache $(MAKE) stumpwm.info
@@ -28,31 +28,31 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) clean
-	rm -rf autom4te.cache Makefile make-image.lisp config.log config.status configure
+	rm -rf autom4te.cache Makefile make-image.lisp config.log config.status configure load-stumpwm.lisp
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
 	dh_clean
-	dh_installdirs $(clc-files) $(clc-files)/contrib $(doc-dir)/examples $(bin-dir) usr/share/xsessions
+	dh_installdirs $(clc-files) $(doc-dir)/examples $(bin-dir) usr/share/xsessions
+	# Rewrite source-registry post-build to ensure the correct runtime
+	# path, does not leak the build path, and is reproducible.
+	sed -i -e 's@\((:directory "\)[^\"]*\(")\)@\1/$(clc-files)\2@g' load-stumpwm.lisp
 	dh_install $(pkg).asd $(clc-files)
 	dh_install *.lisp $(clc-files)
 	dh_install debian/stumpwm.desktop usr/share/xsessions/
 	rm debian/$(debpkg)/$(clc-files)/make-image.lisp
 	mv debian/$(debpkg)/$(clc-files)/sample-stumpwmrc.lisp debian/$(debpkg)/$(doc-dir)/examples/
-	dh_install contrib/*.lisp $(clc-files)/contrib
 	cp debian/stumpwm.bin debian/$(debpkg)/$(bin-dir)/stumpwm
-	dh_install contrib/stumpish $(bin-dir)
-	dh_install contrib/stumpwm-mode.el $(doc-dir)
 
 binary-indep: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs README.md NEWS
 	dh_installinfo stumpwm.info
-	dh_installman debian/stumpwm.1 debian/stumpish.1
+	dh_installman debian/stumpwm.1
 	dh_installmenu
 	dh_installwm /usr/bin/stumpwm
 	dh_lisp

## stumpwm 1.0.0

=== debian/changelog ===
stumpwm (2:1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #886911).
  * Bump to Debian standard 4.1.4.
  * Run wrap-and-sort and add myself as uploader.
  * Update debian/copyright with the help of cme/licensecheck.
  * Convert debian/rules to use debhelper 11.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 14 Apr 2018 17:55:59 +0900

stumpwm (2:0.9.9-4) unstable; urgency=medium

  * Team upload.
  * Update Vcs-* fields for move to salsa.
  * Set Maintainer to debian-common-lisp@l.d.o.
  * Remove Build-Depends on dh-lisp.
  * Use stumpwm.github.io for Homepage.
  * Use secure URL in Format field of d/copyright.
  * Fix d/watch.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 13 Apr 2018 23:02:47 +0200

=== debian/control ===
Source: stumpwm
Section: x11
Priority: optional
Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
           Desmond O. Chang <dochang@gmail.com>,
           Milan Zamazal <pdm@debian.org>,
           Benda Xu <heroxbd@gentoo.org>
Build-Depends-Indep: autoconf, cl-clx-sbcl, cl-ppcre, sbcl, texinfo
Build-Depends: debhelper (>=11)
Standards-Version: 4.1.4
Homepage: https://stumpwm.github.io/
Vcs-Git: https://salsa.debian.org/common-lisp-team/stumpwm.git
Vcs-Browser: https://salsa.debian.org/common-lisp-team/stumpwm

Package: stumpwm
Architecture: all
Depends: cl-clx-sbcl | cmucl-source, cl-ppcre, ${misc:Depends}
Suggests: info-browser,
          rlwrap,
          slime,
          www-browser,
          x-terminal-emulator,
          x11-utils
Provides: x-window-manager
Description: tiling, keyboard driven Common Lisp window manager
 StumpWM is a window manager written entirely in Common Lisp. It
 attempts to be highly customizable while relying entirely on the
 keyboard for input. You will not find buttons, icons, title bars,
 tool bars, or any of the other conventional GUI widgets.
 .
 These design decisions reflect the growing popularity of productive,
 customizable lisp based systems.
 .
 Please ensure that you install compatible implementations of CL and
 CLX.  That means either install sbcl and cl-clx-sbcl or cmucl and
 cmucl-source or clisp-module-clx only.
 .
 The suggested package, slime, lets you control a running StumpWM
 session through Emacs.
 .
 If you need Xinerama support, you need the xdpyinfo utility from the
 x11-utils package.

=== debian/rules ===
#!/usr/bin/make -f

clc-files	:= usr/share/common-lisp/source/stumpwm

DEBIAN_VERSION	:= Debian Git checkout $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-lisp=sbcl

override_dh_auto_build-indep:
	XDG_CACHE_HOME=$(shell pwd)/.cache $(MAKE) stumpwm.info

override_dh_auto_clean:
	dh_auto_clean
	rm -rf autom4te.cache Makefile make-image.lisp config.log config.status configure load-stumpwm.lisp .cache
	dh_clean

override_dh_auto_install:

override_dh_install:
	# Rewrite source-registry post-build to ensure the correct runtime
	# path, does not leak the build path, and is reproducible.
	sed -i -e 's@\((:directory "\)[^\"]*\(")\)@\1/$(clc-files)\2@g' load-stumpwm.lisp
	dh_install -Xmake-image.lisp -Xsample-stumpwmrc.lisp

	dh_installdirs /usr/bin
	cp debian/stumpwm.bin debian/stumpwm/usr/bin/stumpwm

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%stumpwm-$1.tar.gz%" \
    https://github.com/stumpwm/stumpwm/releases \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## stumpwm 22.11

=== debian/changelog ===
stumpwm (2:22.11-3) unstable; urgency=medium

  * Add runtime dependency of alexandria.
  * Drop descriptions on Common Lisp interpreters and CLX, since we are
    now SBCL exclusive.

 -- Benda Xu <orv@debian.org>  Wed, 01 Feb 2023 23:58:04 +0800

stumpwm (2:22.11-2) unstable; urgency=medium

  * Enable tests by fiasco.

 -- Benda Xu <orv@debian.org>  Tue, 31 Jan 2023 20:28:09 +0800

stumpwm (2:22.11-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Refer to specific version of license GPL-2+.
  * Remove deprecated Encoding key from desktop file debian/stumpwm.desktop.

  [ Benda Xu ]
  * New upstream release (Closes: #995455, #995455).
    + Drop support for CLISP and CMUCL.

 -- Benda Xu <orv@debian.org>  Tue, 27 Dec 2022 21:11:15 +0800

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,18 @@
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Desmond O. Chang <dochang@gmail.com>,
            Milan Zamazal <pdm@debian.org>,
-           Benda Xu <heroxbd@gentoo.org>
-Build-Depends-Indep: autoconf, cl-clx-sbcl, cl-ppcre, sbcl, texinfo
-Build-Depends: debhelper (>=11)
-Standards-Version: 4.1.4
+           Benda Xu <orv@debian.org>
+Build-Depends-Indep: autoconf, cl-alexandria, cl-clx-sbcl (>= 0.7.5), cl-fiasco, cl-ppcre, sbcl (>= 2.2.7), texinfo
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://stumpwm.github.io/
 Vcs-Git: https://salsa.debian.org/common-lisp-team/stumpwm.git
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/stumpwm
 
 Package: stumpwm
 Architecture: all
-Depends: cl-clx-sbcl | cmucl-source, cl-ppcre, ${misc:Depends}
+Depends: cl-clx-sbcl, cl-ppcre, cl-alexandria, ${misc:Depends}
 Suggests: info-browser,
           rlwrap,
           slime,
@@ -32,10 +33,6 @@
  These design decisions reflect the growing popularity of productive,
  customizable lisp based systems.
  .
- Please ensure that you install compatible implementations of CL and
- CLX.  That means either install sbcl and cl-clx-sbcl or cmucl and
- cmucl-source or clisp-module-clx only.
- .
  The suggested package, slime, lets you control a running StumpWM
  session through Emacs.
  .

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,6 @@
 	# Rewrite source-registry post-build to ensure the correct runtime
 	# path, does not leak the build path, and is reproducible.
 	sed -i -e 's@\((:directory "\)[^\"]*\(")\)@\1/$(clc-files)\2@g' load-stumpwm.lisp
-	dh_install -Xmake-image.lisp -Xsample-stumpwmrc.lisp
+	cp -f debian/stumpwm.bin stumpwm
 
-	dh_installdirs /usr/bin
-	cp debian/stumpwm.bin debian/stumpwm/usr/bin/stumpwm
+	dh_install -Xmake-image.lisp -Xsample-stumpwmrc.lisp -Xdynamic-mixins/README.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%stumpwm-$1.tar.gz%" \
    https://github.com/stumpwm/stumpwm/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## stumpwm 24.11

=== debian/changelog ===
stumpwm (2:24.11-1) unstable; urgency=medium

  * New upstream release.

 -- Benda Xu <orv@debian.org>  Thu, 01 Jan 2026 22:49:12 +0900

## stumpwm 20100709.gitf6262b0

=== debian/control ===
Source: stumpwm
Section: devel
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Luca Capello <luca@pca.it>, Peter Van Eynde <pvaneynd@debian.org>,
 Desmond O. Chang <dochang@gmail.com>
Build-Depends-Indep: dh-lisp, texinfo, autoconf, sbcl, cl-clx-sbcl, cl-ppcre
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.1
Homepage: http://www.nongnu.org/stumpwm/
Vcs-Git: git://git.debian.org/pkg-common-lisp/stumpwm.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/stumpwm.git;a=summary

Package: stumpwm
Architecture: all
Depends: ${misc:Depends}, clisp | cl-clx-sbcl | cmucl-source, cl-ppcre
Suggests: slime, x-terminal-emulator, www-browser, info-browser, menu, x11-utils, rlwrap
Description: a Common Lisp window manager
 StumpWM is a window manager written entirely in Common Lisp. It
 attempts to be highly customizable while relying entirely on the
 keyboard for input. You will not find buttons, icons, title bars,
 tool bars, or any of the other conventional GUI widgets.
 .
 These design decisions reflect the growing popularity of productive,
 customizable lisp based systems.
 .
 Please ensure that you install compatible implementations of CL and
 CLX.  That means either install sbcl and cl-clx-sbcl or cmucl and
 cmucl-source or clisp only.
 .
 The suggested package, slime, lets you control a running StumpWM
 session through Emacs.
 .
 If you need Xinerama support, you need the xdpyinfo utility from the
 x11-utils package.
 .
 The rlwrap package provides command completion for stumpish.

=== debian/rules ===
#!/usr/bin/make -f


pkg		:= stumpwm
debpkg  	:= $(pkg)

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
doc-dir		:= usr/share/doc/$(debpkg)
bin-dir		:= usr/bin


DEBIAN_VERSION	:= Debian Git checkout $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)

configure:
	./autogen.sh
	./configure --with-lisp=sbcl \
		--with-contrib-dir=/$(clc-files)/contrib \
		--with-ppcre=/usr/share/common-lisp/source/cl-ppcre

build: configure
	sed -e 's/@PACKAGE_VERSION@/${DEBIAN_VERSION}/' version.lisp.in >version.lisp
	$(MAKE) stumpwm.info

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean
	rm -rf autom4te.cache Makefile make-image.lisp version.lisp config.log config.status configure
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs $(clc-files) $(clc-files)/contrib  $(doc-dir)/examples $(bin-dir)
	dh_install $(pkg).asd $(clc-files)
	dh_install *.lisp $(clc-files)
	rm debian/$(debpkg)/$(clc-files)/asdf.lisp
	rm debian/$(debpkg)/$(clc-files)/make-image.lisp
	mv debian/$(debpkg)/$(clc-files)/sample-stumpwmrc.lisp debian/$(debpkg)/$(doc-dir)/examples/
	dh_install contrib/*.lisp $(clc-files)/contrib
	cp debian/stumpwm.bin debian/$(debpkg)/$(bin-dir)/stumpwm
	dh_install contrib/stumpish $(bin-dir)
	dh_install contrib/stumpwm-mode.el $(doc-dir)

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README NEWS
	dh_installinfo stumpwm.info
	dh_installman debian/stumpwm.1 debian/stumpish.1
	dh_installmenu
	dh_installwm /usr/bin/stumpwm
	dh_lisp
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep


.PHONY: configure build clean install binary-indep binary-arch binary

## stumpwm 20110419.gitb80ff16

=== debian/control ===
Source: stumpwm
Section: devel
Priority: optional
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Desmond O. Chang <dochang@gmail.com>
Build-Depends-Indep: dh-lisp, texinfo, autoconf, clisp-module-clx, cl-asdf, cl-ppcre
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/stumpwm/
Vcs-Git: git://git.debian.org/pkg-common-lisp/stumpwm.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/stumpwm.git;a=summary

Package: stumpwm
Architecture: all
Depends: ${misc:Depends}, clisp-module-clx | cl-clx-sbcl | cmucl-source, cl-ppcre
Recommends: cl-asdf
Suggests: slime, x-terminal-emulator, www-browser, info-browser, menu, x11-utils, rlwrap
Description: tiling, keyboard driven Common Lisp window manager
 StumpWM is a window manager written entirely in Common Lisp. It
 attempts to be highly customizable while relying entirely on the
 keyboard for input. You will not find buttons, icons, title bars,
 tool bars, or any of the other conventional GUI widgets.
 .
 These design decisions reflect the growing popularity of productive,
 customizable lisp based systems.
 .
 Please ensure that you install compatible implementations of CL and
 CLX.  That means either install sbcl and cl-clx-sbcl or cmucl and
 cmucl-source or clisp-module-clx only.
 .
 The suggested package, slime, lets you control a running StumpWM
 session through Emacs.
 .
 If you need Xinerama support, you need the xdpyinfo utility from the
 x11-utils package.
 .
 The rlwrap package provides command completion for stumpish.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,13 @@
 
 configure:
 	./autogen.sh
-	./configure --with-lisp=sbcl \
+	./configure --with-lisp=clisp \
 		--with-contrib-dir=/$(clc-files)/contrib \
 		--with-ppcre=/usr/share/common-lisp/source/cl-ppcre
 
 build: configure
 	sed -e 's/@PACKAGE_VERSION@/${DEBIAN_VERSION}/' version.lisp.in >version.lisp
-	$(MAKE) stumpwm.info
+	XDG_CACHE_HOME=$(shell pwd)/.cache $(MAKE) stumpwm.info
 
 clean:
 	dh_testdir

## stumpwm 20110819.gitca08e08

=== debian/changelog ===
stumpwm (1:20110819.gitca08e08-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/08_texinfo.patch: Apply patch from upstream to fix build
    failure with texinfo 5.1. (Closes: #712336)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2013 01:05:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: stumpwm
-Section: devel
+Section: x11
 Priority: optional
 Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Desmond O. Chang <dochang@gmail.com>
@@ -15,6 +15,7 @@
 Depends: ${misc:Depends}, clisp-module-clx | cl-clx-sbcl | cmucl-source, cl-ppcre
 Recommends: cl-asdf
 Suggests: slime, x-terminal-emulator, www-browser, info-browser, menu, x11-utils, rlwrap
+Provides: x-window-manager
 Description: tiling, keyboard driven Common Lisp window manager
  StumpWM is a window manager written entirely in Common Lisp. It
  attempts to be highly customizable while relying entirely on the

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,13 @@
 		--with-contrib-dir=/$(clc-files)/contrib \
 		--with-ppcre=/usr/share/common-lisp/source/cl-ppcre
 
-build: configure
+build-indep: configure
 	sed -e 's/@PACKAGE_VERSION@/${DEBIAN_VERSION}/' version.lisp.in >version.lisp
 	XDG_CACHE_HOME=$(shell pwd)/.cache $(MAKE) stumpwm.info
+
+build-arch:
+
+build: build-indep
 
 clean:
 	dh_testdir

=== debian/watch ===
# We track StumpWM Git revisions, thus no need for a watch file.
